# WOK
TKWOK
WOKAPI

# WOKAPI_Process Class Reference

`#include <WOKAPI_Process.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKAPI_Process (const WOKAPI_Session &asession)
Standard_EXPORT Standard_Boolean | Init (const Handle(TCollection_HAsciiString)&abench, const Standard_Boolean debug, const Handle(TCollection_HAsciiString)&aprof)
| Initialize process .
Standard_EXPORT Standard_Integer | ExploreInitSection (const Handle(TColStd_HSequenceOfHAsciiString)&lines, const Standard_Integer fromindex=1)
| Explores Init lines in config file and performs Init .
Standard_EXPORT const WOKAPI_BuildProcess & | BuildProcess () const
Standard_EXPORT Standard_Integer | AdvanceToNextValidSection (const Handle(TColStd_HSequenceOfHAsciiString)&lines, const Standard_Integer fromindex=1)
| Advance to next section in executable state (regarding to :<cond> conditions .
Standard_EXPORT Standard_Integer | ExploreTclSection (const Handle(TColStd_HSequenceOfHAsciiString)&lines, const Standard_Integer fromindex=1)
Standard_EXPORT Standard_Boolean | ExecuteTcl (const Handle(TCollection_HAsciiString)&atclsection)
Standard_EXPORT Standard_Integer | ExploreBuildSection (const Handle(TColStd_HSequenceOfHAsciiString)&lines, const Standard_Integer fromindex=1)
Standard_EXPORT Standard_Boolean | ExecuteBuild (const Handle(WOKTools_HSequenceOfDefine)&params)
Standard_EXPORT Standard_Boolean | ExecuteFile (const Handle(TCollection_HAsciiString)&afile)

## Private Attributes

WOKAPI_Session | mysession
WOKAPI_BuildProcess | mybp

## Constructor & Destructor Documentation

Standard_EXPORT WOKAPI_Process::WOKAPI_Process | ( | const WOKAPI_Session & | asession | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKAPI_Process::AdvanceToNextValidSection | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | lines,
|  | const Standard_Integer | fromindex = `1`
| ) |

Standard_EXPORT const WOKAPI_BuildProcess& WOKAPI_Process::BuildProcess | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKAPI_Process::ExecuteBuild | ( | const Handle(WOKTools_HSequenceOfDefine)& | params | ) |

Standard_EXPORT Standard_Boolean WOKAPI_Process::ExecuteFile | ( | const Handle(TCollection_HAsciiString)& | afile | ) |

Standard_EXPORT Standard_Boolean WOKAPI_Process::ExecuteTcl | ( | const Handle(TCollection_HAsciiString)& | atclsection | ) |

Standard_EXPORT Standard_Integer WOKAPI_Process::ExploreBuildSection | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | lines,
|  | const Standard_Integer | fromindex = `1`
| ) |

Standard_EXPORT Standard_Integer WOKAPI_Process::ExploreInitSection | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | lines,
|  | const Standard_Integer | fromindex = `1`
| ) |

Standard_EXPORT Standard_Integer WOKAPI_Process::ExploreTclSection | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | lines,
|  | const Standard_Integer | fromindex = `1`
| ) |

Standard_EXPORT Standard_Boolean WOKAPI_Process::Init | ( | const Handle(TCollection_HAsciiString)& | abench,
|  | const Standard_Boolean | debug,
|  | const Handle(TCollection_HAsciiString)& | aprof
| ) |

void WOKAPI_Process::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKAPI_Process::operator new | ( | size_t | size | ) | `[inline]`

void* WOKAPI_Process::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

## Field Documentation

WOKAPI_BuildProcess WOKAPI_Process::mybp `[private]`

WOKAPI_Session WOKAPI_Process::mysession `[private]`

The documentation for this class was generated from the following file:

- WOKAPI_Process.hxx